%bcond_without bootstrap

%define libgudev_api 1.0
%define libgudev_major 0

%define libgudev %mklibname gudev %{libgudev_api} %{libgudev_major}
%define libgudev_devel %mklibname -d gudev %{libgudev_api}
%define libgudev_gir %mklibname gudev-gir %{libgudev_api}

Summary:	GObject-based wrapper library for libudev
Name:		libgudev
Version:	237
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
Url:		https://wiki.gnome.org/Projects/libgudev
Source0:	https://download.gnome.org/sources/libgudev/%{version}/libgudev-%{version}.tar.xz

BuildRequires:  glib2-devel
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  gtk-doc
%if %{without bootstrap}
BuildRequires:	pkgconfig(umockdev-1.0)
%endif

%description
This library makes it much simpler to use libudev from programs
already using GObject. It also makes it possible to easily use libudev
from other programming languages, such as Javascript, because of
GObject introspection support.


%package -n %{libgudev}
Summary:       gudev library package
Group:         System/Libraries
Requires(pre): filesystem
Provides:      libgudev = %{version}-%{release}
# Upstream promises to remove libgudev from systemd before this version
Obsoletes:     %{libgudev} < 230


%description -n %{libgudev}
This package provides the gudev shared library.

%package -n %{libgudev_devel}
Summary:       gudev library development files
Group:         Development/Libraries
Requires:      %{libgudev} = %{version}-%{release}
Provides:      libgudev-devel = %{version}-%{release}
Provides:      %{mklibname -d gudev 0} = %{version}-%{release}
Obsoletes:     %{mklibname -d gudev 0} < 185

%description -n %{libgudev_devel}
This package provides the development files for the gudev shared library.


%prep
%setup -q
%apply_patches

sd "199" "173" meson.build

%build
%meson -Dgtk_doc=false -Dtests=disabled -Dvapi=disabled
%meson_build

%install
%meson_install

find %{buildroot} -name '*.la' -delete

%files -n %{libgudev}
%{_libdir}/libgudev-%{libgudev_api}.so.%{libgudev_major}*
%{_libdir}/girepository-1.0/GUdev-%{libgudev_api}.typelib

%files -n %{libgudev_devel}
%{_libdir}/libgudev-%{libgudev_api}.so
%{_includedir}/gudev-%{libgudev_api}
%{_libdir}/pkgconfig/gudev-%{libgudev_api}.pc
%{_datadir}/gir-1.0/GUdev-%{libgudev_api}.gir


%changelog
* Mon Dec 19 2022 tex - 237-2pclos2022
- rebuild against updates

* Sun Sep 11 2022 tex - 237-1pclos2022
- new version

* Mon Jun 24 2019 tex - 232-1pclos2019
- new
